This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 704467

Summary: suspend freezes virtual machine
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: seabiosAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: eblake, jforbes, jskarvad, pbonzini, pknirsch, richard, rjones, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: seabios-0.6.1-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-18 15:28:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
pm-suspend.log none

Description Kamil Páral 2011-05-13 05:05:10 EDT
Created attachment 498729 [details]
pm-suspend.log

Description of problem:
I installed F15 Final RC2 (default install from DVD) into VM using virt-manager. The default action for ACPI event is suspend. When I press "shutdown" icon in virt-manager or use "virsh shutdown <machine>", this ACPI event is sent. Of course I wanted to shut down the machine, not suspend, but I didn't know about the default settings being set to suspend.

What happened is that the display switched to console with a single cursor, and nothing else happened for a long time. I was able to switch back to graphical console using Ctrl+Alt+F1, but after I clicked on "Places" (basically accessed the filesystem) the whole system froze completely.

I understand there is not much sense in suspending virtual machine. But it shouldn't freeze it. Either do some kind of suspend, it that's possible, or just do nothing at all and leave the system functional.

Version-Release number of selected component (if applicable):
pm-utils-1.4.1-6.fc15.i686
Fedora 15 Final RC2

How reproducible:
always

Steps to Reproduce:
1. Install F15 into VM, default action for ACPI event is suspend
2. Send ACPI event with virt-manager or virsh
3. See machine froze
  
Actual results:
Suspending virtual machine freezes it

Expected results:
Suspending virtual machine either works or not, but the system stays functional

Additional info:
Comment 1 Eric Blake 2011-07-06 14:36:58 EDT
You can (somewhat) work around this by going to System Settings, power, "when the power button is pressed", and changing that to "ask me", so that you can get back to the old behavior.  But I find it disconcerting that the default changed at F15 to something that doesn't work out of the box.
Comment 2 Kamil Páral 2011-10-06 05:08:17 EDT
Installed Fedora 16 Beta Live into KVM. When I send ACPI event, it does nothing by default. When I install acpid package, start the service and send another ACPI event, it shutdowns. This behavior seems resonable. I think this bug can be closed.
Comment 3 Eric Blake 2011-10-06 07:44:16 EDT
Rather, we need the same seabios change for F15 as was proposed for F16 in bug 741375.
Comment 4 Jaroslav Škarvada 2012-02-14 18:08:20 EST
I agree, reassigning to seabios.
Comment 5 Fedora Update System 2012-03-21 18:44:50 EDT
seabios-0.6.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/seabios-0.6.1-2.fc15
Comment 6 Fedora Update System 2012-03-23 20:25:30 EDT
Package seabios-0.6.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing seabios-0.6.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4573/seabios-0.6.1-2.fc15
then log in and leave karma (feedback).
Comment 7 Fedora Admin XMLRPC Client 2012-04-17 14:35:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Update System 2012-04-18 15:28:03 EDT
seabios-0.6.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.